import { backgroundColorPaletteNew } from '@atlaskit/adf-schema/background-color';
import getColorMessage from './getColorMessage';
import { REMOVE_HIGHLIGHT_COLOR } from './highlightColorPalette';
import { mapPaletteColor } from './mapPaletteColor';
import paletteMessages from './paletteMessages';
export var highlightColorPaletteNew = [{
  value: REMOVE_HIGHLIGHT_COLOR,
  label: 'No color',
  // Mostly informative, only used for analytics
  border: "var(--ds-border, #0B120E24)",
  message: getColorMessage(paletteMessages, 'no-color')
}];
backgroundColorPaletteNew.forEach(function (label, color) {
  highlightColorPaletteNew.push(mapPaletteColor(label, color));
});